# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server.models.tle import TLE  # noqa: F401,E501
from swagger_server import util


class GnbDescriptor(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, gnb_index: int=None, gnb_name: str=None, gnb_tle: TLE=None):  # noqa: E501
        """GnbDescriptor - a model defined in Swagger

        :param gnb_index: The gnb_index of this GnbDescriptor.  # noqa: E501
        :type gnb_index: int
        :param gnb_name: The gnb_name of this GnbDescriptor.  # noqa: E501
        :type gnb_name: str
        :param gnb_tle: The gnb_tle of this GnbDescriptor.  # noqa: E501
        :type gnb_tle: TLE
        """
        self.swagger_types = {
            'gnb_index': int,
            'gnb_name': str,
            'gnb_tle': TLE
        }

        self.attribute_map = {
            'gnb_index': 'gnb-index',
            'gnb_name': 'gnb-name',
            'gnb_tle': 'gnb-TLE'
        }
        self._gnb_index = gnb_index
        self._gnb_name = gnb_name
        self._gnb_tle = gnb_tle

    @classmethod
    def from_dict(cls, dikt) -> 'GnbDescriptor':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The gnb-descriptor of this GnbDescriptor.  # noqa: E501
        :rtype: GnbDescriptor
        """
        return util.deserialize_model(dikt, cls)

    @property
    def gnb_index(self) -> int:
        """Gets the gnb_index of this GnbDescriptor.


        :return: The gnb_index of this GnbDescriptor.
        :rtype: int
        """
        return self._gnb_index

    @gnb_index.setter
    def gnb_index(self, gnb_index: int):
        """Sets the gnb_index of this GnbDescriptor.


        :param gnb_index: The gnb_index of this GnbDescriptor.
        :type gnb_index: int
        """

        self._gnb_index = gnb_index

    @property
    def gnb_name(self) -> str:
        """Gets the gnb_name of this GnbDescriptor.


        :return: The gnb_name of this GnbDescriptor.
        :rtype: str
        """
        return self._gnb_name

    @gnb_name.setter
    def gnb_name(self, gnb_name: str):
        """Sets the gnb_name of this GnbDescriptor.


        :param gnb_name: The gnb_name of this GnbDescriptor.
        :type gnb_name: str
        """

        self._gnb_name = gnb_name

    @property
    def gnb_tle(self) -> TLE:
        """Gets the gnb_tle of this GnbDescriptor.


        :return: The gnb_tle of this GnbDescriptor.
        :rtype: TLE
        """
        return self._gnb_tle

    @gnb_tle.setter
    def gnb_tle(self, gnb_tle: TLE):
        """Sets the gnb_tle of this GnbDescriptor.


        :param gnb_tle: The gnb_tle of this GnbDescriptor.
        :type gnb_tle: TLE
        """

        self._gnb_tle = gnb_tle
